/// <reference types="cypress" />
describe('InvoiceOut global invoicing', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('administrative');
        cy.visit(`/#/invoice-out/global-invoicing`);
    });

    it('should invoice the client tickets', () => {
        cy.get('.q-mb-sm > .q-radio__inner').click();
        cy.dataCy('InvoiceOutGlobalClientSelect').type('1102');
        cy.get('.q-menu .q-item').contains('1102').click();
        cy.dataCy('InvoiceOutGlobalSerialSelect').click();
        cy.get('.q-menu .q-item').contains('global').click();
        cy.dataCy('InvoiceOutGlobalCompanySelect').type('VNL');
        cy.get('.q-menu .q-item').contains('VNL').click();
        cy.dataCy('InvoiceOutGlobalPrinterSelect').type('printer1');
        cy.get('.q-menu .q-item').contains('printer1').click();
        cy.get(
            '[label="Invoice date"] > .q-field > .q-field__inner > .q-field__control'
        ).click();
        cy.get(':nth-child(5) > div > .q-btn > .q-btn__content > .block').click();
        cy.get('.q-date__years-content > :nth-child(2) > .q-btn').click();
        cy.get('.q-date__calendar-days > :nth-child(6) > .q-btn').click();
        cy.get('[label="Max date ticket"]').type('01-01-2001{enter}');
        cy.get('.q-card').should('be.visible');
    });
});
